clc
clear all
close all
%% Import still air structural properties
Load=0; % Load=1, load still air properties from HB.mat file; Load=0 import data from the Abaqus *.dat file
if Load==1
    load('HB.mat')
else
    M=100;                      % Number of points along the girder
    N_nodes=139;                % Number of nodes in node set along girder
    SelectedModes=[2 5 13 14 15 18];       % Selected still-air vibration modes
    SelectedModes=[1:20]; 
    e1=[0 1 0]'; e2=[-1 0 0]';    %Direction vector for the girder
    [omegaomega,phiphi,xred,MM,CC,KK,moderInt,Eigenvectors,Eigenvalues]=Import_Abaqus_v2(M,SelectedModes,'masterAbaqusScriptMulti.dat',N_nodes,e1,e2);
    omegaomega=diag(omegaomega);
    rho=1.25;
    B=37; %Width of the girder
    save('SB_multi.mat','omegaomega','phiphi','xred', 'MM', 'CC', 'KK', 'moderInt','Eigenvectors','Eigenvalues','B','rho','SelectedModes')
end
%% Load and plot aerodynamic derivatives (2. degree polynomial fitted to data)
load('AD_sula.mat')
Vred=linspace(0,5,100); % Reduced velocity range for the aerodynamic derivatives
[ADp]=AerodynamicDerivatives(Vred,'RAD',AD,'ADtype','mvregress');
plotAerodynamicDerivatives(linspace(0,5,100),ADp)
%% Eigenvalue solution
[Vvec,imS,reS,VCR,OmegaCR,p]=AerodynamicStability(MM,CC,KK,omegaomega,moderInt,rho,B,'PlotResults','Yes','RAD',AD,'omegamax', Inf,'omegamin',0,'ADType','mvregress');

reducedVel = VCR/(B*OmegaCR)

OmegaCR

VCR



