
%Calculating the static buffeting wind loads on the structure
% Verdier tatt fra: N410 og NS-EN 1991-4:2005+NA:2009
clc
clear all

A_chosen=0.53375;
rho=1.25;                            %Densitet luft, kg/m^3 (ns en 1991: eq.5.9)
V=45.7;                              %Middelvind, m/s

%lastfaktorer:
j_egenlast=1.2;
j_trafikklast=1.5;
j_vindlast=1;

%%The Girder

B=28.515;                               %Bredde, m (Hvordan blir dette nr brua er todelt)
D=2.625;                              %Dybde p brukassa (strre ved  ta med asfalt etc)


CDs=0.7;                            %Velger samme verdier som er brukt i rapporten til Rambll
CLs=-0.17;
CMs=-0.01;

q_y=0.5*rho*V^2* D*CDs *j_vindlast;             %draglast inkl lastfaktor, N/m  (eq 5.9 and eq.5.10)
q_z=0.5*rho*V^2* B*CLs *j_vindlast;             %lftelast inkl lastfaktor, N/m
q_theta=0.5*rho*V^2* B^2*CMs *j_vindlast;       %momentlast inkl lastfaktorNm/m

%%The main cable

B_cable=sqrt(A_chosen*4/pi);

CD_cable= 1;                        %NS-EN 1991-1-4: 7.9

q_y_cable=CD_cable *0.5*rho*V^2 *B_cable *j_vindlast;           %N/m