function [A_chosen,sag]=generateNodes1(dist,towerHeight,sag)
%Genererer noder og element til Abaqus
% Nullpunkt satt til senteret av brobanen i en ende av banen (under tarn)

girderLength = 2800;    %lengde av girder

%dist = 25;         %avstand fra senter brobane til senter box girder
connDist = 7;       %avstand fra senter box girder feste henger (halve bredden av en box girder)
connHeight = 1.5;   %hoyde pa feste mellom henger of box girder (ift. senter til girder)
distHanger = 10;    %antall elmenter mellom hengere
SClength = 720;     %lengde (x-retning) sidekabler
%towerHeight = 350; %hoyde pa tarn (fra senter av brobane til topp tarn)
%sag = 320;         %sag pa kabel (avstand fra topp kabel til labeste punkt pa kabel)
breddebunn = 80;    %Avstand mellom benene pa tarn
ben = 35;           %Avstand fra veibane til bakke/lengde pa ben

[sag,A_chosen] = sag_calc(sag); %korrigerer sa faktisk sag blir riktig etter prestressing

dx=2;                %Spacing between nodes at girder/lengden pa element
N = girderLength/dx; %Number of nodes along girder

% x=[0,N,girderLength];
x=[0,girderLength/dx,girderLength];
y=[towerHeight,towerHeight-sag,towerHeight];
p=polyfit(x,y,2);
y=[0,40,0];
q=polyfit(x,y,2);

%lage noder til girderen, connection, kabler og elementene til connection
fid=fopen('geoGirders.txt','w');
fid2=fopen('geoConnection.txt','w');
j=1000;
k=N/2+1000;
fid4=fopen('geoCable.txt','w');
for i=1:N+1
    b=dx*i-dx;
    x=(i-1)*dx;
    
    z=q(1)*x^2+q(2)*x+q(3);
    fprintf(fid, '%i, %f, %f, %f\r\n', i,b,-dist,z);
    fprintf(fid, '%i, %f, %f, %f\r\n', i+N+1,b,dist,z);
    fprintf(fid, '%i, %f, %f, %f\r\n', i+30000,b,0,z);
    fprintf(fid2, '%i, %f, %f, %f\r\n', i+4000,b,-dist-connDist,z+connHeight);
    fprintf(fid2, '%i, %f, %f, %f\r\n', i+N+1+4000,b,dist+connDist,z+connHeight);

    j=j+1;
    k=k+1; 
    z=p(1)*x^2+p(2)*x+p(3);
    fprintf(fid4, '%i, %f, %f, %f\r\n', i+10000,b,-dist-connDist,z);
    fprintf(fid4, '%i, %f, %f, %f\r\n', i+N+1+10000,b,dist+connDist,z);
end
fprintf(fid, '%i, %f, %f, %f\r\n', 2*N+4,0,-dist,0);
fprintf(fid, '%i, %f, %f, %f\r\n', 2*N+5,0,dist,0);
fprintf(fid, '%i, %f, %f, %f\r\n', 2*N+6,b,-dist,0);
fprintf(fid, '%i, %f, %f, %f\r\n', 2*N+7,b,dist,0);

fclose(fid);true;
fclose(fid2);true;
fclose(fid4);true;
fid=fopen('topTowerNodes.txt','w');
a=10001;
fprintf(fid, '%i, %i, %i, %i\r\n', a,a+N,a+N+1,a+2*N+1);
fclose(fid);true;
fid=fopen('girderEndNodes.txt','w');
fprintf(fid, '%i, %i, %i, %i\r\n', 1,N+1,N+2,2*N+1);
fclose(fid);true;

%lage element til girder 
fid=fopen('elGirders1.txt','w');
fid3=fopen('elGirders2.txt','w');
fid2=fopen('elCable.txt','w');
j=1;
k=N/2+1;
for i=2:2:N
    a=i-1;
    b=i;
    c=i+1;
    fprintf(fid, '%i, %i, %i, %i\r\n', j,a,b,c);
    fprintf(fid3, '%i, %i, %i, %i\r\n', k,a+N+1,b+N+1,c+N+1);  
    j=j+1;
    k=k+1;
end
fclose(fid);true;
fclose(fid2);true;
fclose(fid3);true;

fid=fopen('elHangers.txt','w');
fid2=fopen('elConnection.txt','w');
fid3=fopen('elGirderConnection.txt','w');
fid4=fopen('midtNoder.txt','w');
j=2000;
k=3000;
for i=(distHanger:distHanger:N-distHanger)+1
    a=4000;
    fprintf(fid, '%i, %i, %i\r\n', j+5000,a+i,i+10000);
    fprintf(fid, '%i, %i, %i\r\n', k+5000,a+i+N+1,i+10000+N+1);
    fprintf(fid2, '%i, %i, %i\r\n', j,i,i+a);
    fprintf(fid2, '%i, %i, %i\r\n', j+1000,i+N+1,i+a+N+1);
    
    p=30000;
    fprintf(fid3, '%i, %i, %i\r\n', j+200,i,i+p);
    fprintf(fid3, '%i, %i, %i\r\n', j+500,i+p,i+N+1);
    fprintf(fid4, '%i\r\n', i+p);
    
    j=j+1;
    k=k+1;
end
fclose(fid);true;
fclose(fid2);true;
fclose(fid3);true;
fclose(fid4);true;

fid=fopen('elCable.txt','w');
j=10000;
k=12000;
for i=1:N
    a=i+10000;
%     b=i+11501;
    b=i+10001+N;
    fprintf(fid, '%i, %i, %i\r\n', j,a,a+1);
    fprintf(fid, '%i, %i, %i\r\n', k,b,b+1);
    j=j+1;
    k=k+1;
end
fclose(fid);true;

%Lage noder til sidekabler
fid=fopen('geoSideCable.txt','w');
fid2=fopen('elSideCable.txt','w');
fprintf(fid2, '%i, %i, %i\r\n', 14999,15000,10000+2*N+2);
fprintf(fid2, '%i, %i, %i\r\n', 15999,16000,10000+N+1);
fprintf(fid2, '%i, %i, %i\r\n', 16999,17000,10000+N+2);
fprintf(fid2, '%i, %i, %i\r\n', 17999,18000,10001);
j=15000;
k=16000;
for i=0:(SClength/dx)-1
    a= (i+1)*dx;
    b= towerHeight-dx*(towerHeight/SClength)*(i+1);
    
    fprintf(fid, '%i, %f, %f, %f\r\n', i+15000,girderLength+a,dist+connDist,b);
    fprintf(fid, '%i, %f, %f, %f\r\n', i+16000,girderLength+a,-dist-connDist,b);
    fprintf(fid, '%i, %f, %f, %f\r\n', i+17000,-a,dist+connDist,b);
    fprintf(fid, '%i, %f, %f, %f\r\n', i+18000,-a,-dist-connDist,b);
    
    if j==15000+(SClength/dx)-1
        break
    end
    fprintf(fid2, '%i, %i, %i\r\n', j,i+15000,i+15000+1);
    fprintf(fid2, '%i, %i, %i\r\n', k,i+16000,i+16000+1);
    fprintf(fid2, '%i, %i, %i\r\n', j+2000,i+17000,i+17000+1);
    fprintf(fid2, '%i, %i, %i\r\n', k+2000,i+18000,i+18000+1);
    j=j+1;
    k=k+1;
end
fclose(fid);true;
fclose(fid2);true;
fid=fopen('supportNodes.txt','w');
a=1000;
fprintf(fid, '%i, %i, %i, %i\r\n', j,j+a,j+2*a,j+3*a);
fclose(fid);true;

%Tarn
breddetopp = 2*(dist+connDist);
d=(breddebunn-breddetopp)/2;
totthoyde = towerHeight+ben;
s=d/totthoyde;
fid=fopen('geotarn.txt','w');
fid2=fopen('eltarn.txt','w');
j=20000;
for i = 1:totthoyde
    if i==towerHeight
        fprintf(fid2, '%s\r\n','*ELEMENT, TYPE=B31, ELSET=tarnBenElements');
    end
    h = towerHeight-i;
    y = (breddetopp/2)+i*s;
    fprintf(fid, '%i, %f, %f, %f\r\n', j,0,y,h);
    fprintf(fid, '%i, %f, %f, %f\r\n', j+1000,0,-y,h);
    fprintf(fid, '%i, %f, %f, %f\r\n', j+2000,girderLength,y,h);
    fprintf(fid, '%i, %f, %f, %f\r\n', j+3000,girderLength,-y,h);
    if i==totthoyde
        break
    end
    fprintf(fid2, '%i, %i, %i\r\n', j,j,j+1);
    fprintf(fid2, '%i, %i, %i\r\n', j+1000,j+1000,j+1001);
    fprintf(fid2, '%i, %i, %i\r\n', j+2000,j+2000,j+2001);
    fprintf(fid2, '%i, %i, %i\r\n', j+3000,j+3000,j+3001);
    
    j=j+1;
end
fid3=fopen('botTowerNodes.txt','w');
fprintf(fid3, '%i, %i, %i, %i\r\n', j,j+1000,j+2000,j+3000);
fclose(fid3);true;

k=10001;
fprintf(fid2, '%i, %i, %i\r\n', j+1,20000,k+N+1);
fprintf(fid2, '%i, %i, %i\r\n', j+1001,21000,k);
fprintf(fid2, '%i, %i, %i\r\n', j+2001,22000,k+2*N+1);
fprintf(fid2, '%i, %i, %i\r\n', j+3001,23000,k+N);

fclose(fid);true;
fclose(fid2);true;

fid=fopen('elTarnStiff.txt','w');
j=24000;
fprintf(fid, '%i, %i, %i\r\n', j,k,k+N+1);
fprintf(fid, '%i, %i, %i\r\n', j+1,k+N,k+2*N+1);%overst pa tarn
c=2*N+4;
fprintf(fid, '%i, %i, %i\r\n', j+2,20000+towerHeight-1,c+1);
fprintf(fid, '%i, %i, %i\r\n', j+3,21000+towerHeight-1,c);
fprintf(fid, '%i, %i, %i\r\n', j+4,22000+towerHeight-1,c+3);
fprintf(fid, '%i, %i, %i\r\n', j+5,23000+towerHeight-1,c+2);
fprintf(fid, '%i, %i, %i\r\n', j+6,c+1,c);
fprintf(fid, '%i, %i, %i\r\n', j+7,c+2,c+3);
j=j+6;
for i=20070:70:20000+70*4
    j=j+2;    
    fprintf(fid, '%i, %i, %i\r\n', j,i,i+1000);
    fprintf(fid, '%i, %i, %i\r\n', j+1,i+2000,i+3000);  
end
fclose(fid);true;

fid=fopen('cablearea.txt','w');
fprintf(fid, '%f, 3.899e-2, 0, 3.899e-2, 1.20e-3 ', A_chosen);
fclose(fid);true;
