
%function to calc the cable area:

function [A_main] = main_cable_area(sag);

%Inputparametere 
lm=2800;                    %Main-span, m
lambda=20;                  %Distance between hangers, m
hangers=lm/lambda-1;        %Number of hangers
gb=2*7600*9.81*1.2;         %Self weight girder, N/m
p=2*20000*1.6;              %Load due to traffic, NS-EN 1991.(Som for Hardanger)                      %Height of girder, m
fcbd=1570*10^6;             %Design stress, N/m^2        
gammacb=8400;               %Density of steel , den totale vekten til cablene br justeres mtp klemmer o.l. langs kablene(MC brukte 81kN/m^3)
fuk=1860*10^6;              %Cable tensile strength, N/mm^2
jm=2.0;                     %Tensile strength material coeff. 

km=sag;



%calculation:
x = -lm/2:0.1:lm/2;
y=4*km*x.^2/lm^2;                            %The cable parabel, where x[-lm/2, lm/2]
y_der= 8*km*x/lm^2;                          %Derivated parabel
alpha=atan(4*km/lm);                         %The cable-angle at the pylons(not used)

f = @(x) sqrt(1 + (8*km*x/lm^2).^2);         %The integrand
Length_cable= integral(f,-lm/2,lm/2);        %Length of the main cable, m

gamma_g_cable= gammacb*9.81 *Length_cable/lm;    %The cable weigth as evenly distributed, N/m^3

%Uses the method from Gimsing:
A_min_g= ((gb+p)*lm^2) / (8*km*fuk/jm - gamma_g_cable*lm^2);                %Min area, m^2
A_main=A_min_g/2;                                                           %Min area one cable, m^2


