%Run Multiple Abaqus 
input='masterAbaqusScript12';
nodes = 139;

firstFreqList = zeros(4,3,20);
%girder =[ A, I_11, I_12, I_22, J, mass per length, I11, I22]
girder1=[0.44252, 0.44113, 0.23973, 6.3628, 1.0877, 7734, 8609, 129000];
girder2=[0.49860, 0.50781, 0.27691, 7.2541, 1.3028, 8179, 9133, 136145];
diff=girder2-girder1;
girder3=girder2+diff;
girder4=girder3+diff;
girder = [girder1;girder2;girder3];

t=1;
d=1;
for towerHeight = 300:20:400 %6 stk
    final_sag=towerHeight-30;
    d=1;
    for dist = 7:2:13 %4 stk
        A_chosen=generateNodes1(dist,towerHeight,final_sag);
        
        fid=fopen('cablearea.txt','w');
        fprintf(fid, '%f, 3.899e-2, 0, 3.899e-2, 1.20e-3 ', A_chosen);
        fclose(fid);true;
        
        for g = 1:size(girder,1) %4 stk
            
            fid=fopen('girderInput1.txt','w');
            fid2=fopen('girderInput2.txt','w');
            fprintf(fid,'%f, %f, %f, %f, %f\r\n',girder(g,1:5));
            fprintf(fid,'0,1,0 \r\n 210e9, 81e9 \r\n *BEAM ADDED INERTIA \r\n');
            fprintf(fid,'%f, 0,0,0, %f, %f \r\n',girder(g,6:7));
            fprintf(fid2,'%f, %f, -%f, %f, %f\r\n',girder(g,1:5));
            fprintf(fid2,'0,1,0 \r\n 210e9, 81e9 \r\n *BEAM ADDED INERTIA \r\n');
            fprintf(fid2,'%f, 0,0,0, %f, %f \r\n',girder(g,6:7));
            fclose(fid);true;
            fclose(fid2);true;
            fid=fopen('girderWeight.txt','w');
            fprintf(fid,'midtnoder, 3, -%f\r\n',(girder(g,6)*10*20*2));
            fclose(fid);true;
            fid=fopen('girderWeightMod.txt','w');
            fprintf(fid,'midtnoder, 3, %f\r\n',(-girder(g,6)*10*20*2+125310));
            fclose(fid);true;
            
            NodeNumberString=['d' num2str(d, '%02d') 't' num2str(t, '%02d') 'g' num2str(g, '%02d')];        
            JobName=['parametric' NodeNumberString]
        
            system(['abaqus job=' JobName ' input=' input ' interactive' ' cpus=4'])
    
            [Eigenvectors,Eigenvalues]=read_ABAQUS_dat([JobName '.dat'],nodes);
    
            for l =1:20 %de 20 frste frekvensene
                if g==1
                firstFreqList1(d,t,l) = Eigenvalues(l,4);
                elseif g==2
                firstFreqList2(d,t,l) = Eigenvalues(l,4);
                elseif g==3
                firstFreqList3(d,t,l) = Eigenvalues(l,4);
                elseif g==4
                firstFreqList4(d,t,l) = Eigenvalues(l,4);
                end
            end
        
            movefile([JobName '.dat'],[cd '\parametricDAT']);
            movefile([JobName '.odb'],[cd '\parametricODB']);
            delete([JobName '.stt']);
           
            
        end
        d=d+1;
    end
    t=t+1;
end
