
%Cable-Sag calculation

function [sag_input,A_chosen]=sag_calc(final_sag)

A_chosen=main_cable_area(final_sag);                    %Chosen cablearea, mm^2
lm=2800;                        %Main-span, m
fcbd=1570*10^6;                 %Design stress, N/m^2
gammacb=8400;                   %Density of steel 
E=200000;                       %E-modulus, Mpa
sag_girderload=32;

sag_guess=final_sag-sag_girderload-30;                      %conservative guess


f = @(x) sqrt(1 + (8*sag_guess*x/lm^2).^2);                 %The integrand
Length_cable= integral(f,-lm/2,lm/2);                       %Length of the main cable, m
alpha=atan(4*sag_guess/lm);                                 %The cable-angle at the pylons


gamma_g_cable= gammacb*9.81 *Length_cable/lm;               %The cable weigth as evenly distributed, N/m^3
Self_weight= gamma_g_cable*A_chosen*10^-6;                  %, N/m

T=Self_weight*lm^2/(8*sag_guess*cos(alpha));

Sigma=T/A_chosen;      %N/mm^2(MPa)
Elongation=Length_cable*(Sigma/E);  % ,m


%Uses newtons method- yvind
n = 1;
f = @(k) 2*sqrt(k^2 + 490000) + 980000*asinh(k/700)/k - (Length_cable+Elongation);

k =sag_guess ;
stp = 0.000001;

err = 0.00001;

full_NR = false;
i=0;

%fprintf('i\td_i\t\t\tr_i\t\t\tk_i\t\t\tdd\n');
while abs(err) > 1e-12
    i=i+1;
    A = f(k); % Residualet
    if full_NR || i==1
        B = (f(k+stp) - f(k-stp)) / (2*stp); % deriverte av residualet
    end
    err = A;
    delta_k = -A/B;
    %fprintf('%d\t%f\t%f\t%f\t%f\n',i,k,A,B,delta_k);
    k = k + delta_k; % Newton-Raphson
end

total_sag=k;
% %Iterate to find solution:
while total_sag<(final_sag-20)                    %VIKTIG MED RETT FRATREKK
    sag_guess=sag_guess+1;
    
    f = @(x) sqrt(1 + (8*sag_guess*x/lm^2).^2);                 %The integrand
Length_cable= integral(f,-lm/2,lm/2);                       %Length of the main cable, m
alpha=atan(4*sag_guess/lm);                                 %The cable-angle at the pylons


gamma_g_cable= gammacb*9.81 *Length_cable/lm;               %The cable weigth as evenly distributed, N/m^3
Self_weight= gamma_g_cable*A_chosen*10^-6;                  %, N/m

T=Self_weight*lm^2/(8*sag_guess*cos(alpha));

Sigma=T/A_chosen;      %N/mm^2(MPa)
Elongation=Length_cable*(Sigma/E);  % ,m


%Uses newtons method- yvind
n = 1;
f = @(k) 2*sqrt(k^2 + 490000) + 980000*asinh(k/700)/k - (Length_cable+Elongation);

k =sag_guess ;
stp = 0.000001;

err = 0.00001;

full_NR = false;
i=0;

%fprintf('i\td_i\t\t\tr_i\t\t\tk_i\t\t\tdd\n');
while abs(err) > 1e-12
    i=i+1;
    A = f(k); % Residualet
    if full_NR || i==1
        B = (f(k+stp) - f(k-stp)) / (2*stp); % deriverte av residualet
    end
    err = A;
    delta_k = -A/B;
    %fprintf('%d\t%f\t%f\t%f\t%f\n',i,k,A,B,delta_k);
    k = k + delta_k; % Newton-Raphson
end

total_sag=k;
end
   
sag_input=sag_guess;

 